Subject: SO#100148310 || BarqExpress::6346548886 || MCI Urgent
From: Amani Bani Odeh <[email-masked]>
To: Mahmoud Omar <[email-masked]>, KSA Lastmile <[email-masked]>
Cc: customer care <[email-masked]>, Hussain Firoz Miyagamwala <[email-masked]>
Date: Fri, 12 Jun 2020 11:30:41 +0300
List-Id: <ccteam.mumzworld.com>

Dear Mahmoud,

Please confirm if the shipment was delivered to the customer as she said
she didn't receive it and she refused it.

Hussian,
Please confirm if this has been retired back and raise CRA if it is to
proceed with refund.

Thanks,
Amani